Package com.massivecraft.factions.zcore.util

## Class TextUtil

- java.lang.Object
- - com.massivecraft.factions.zcore.util.TextUtil

    public class TextUtil
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.util.regex.Pattern` | `patternTag` |
`java.util.Map<java.lang.String,​java.lang.String>` | `tags` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`TextUtil()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.lang.String` | `getBestStartWithCI​(java.util.Collection<java.lang.String> candidates, java.lang.String start)` |
`static java.lang.String` | `getMaterialName​(org.bukkit.Material material)` |
`java.util.ArrayList<java.lang.String>` | `getPage​(java.util.List<java.lang.String> lines, int pageHumanBased, java.lang.String title)` |
`static java.lang.String` | `implode​(java.util.List<java.lang.String> list, java.lang.String glue)` |
`java.lang.String` | `parse​(java.lang.String str)` |
`java.lang.String` | `parse​(java.lang.String str, java.lang.Object... args)` |
`static java.lang.String` | `parseColor​(java.lang.String string)` |
`static java.lang.String` | `parseColorAcc​(java.lang.String string)` |
`static java.lang.String` | `parseColorAmp​(java.lang.String string)` |
`static java.lang.String` | `parseColorTags​(java.lang.String string)` |
`mkremins.fanciful.FancyMessage` | `parseFancy​(java.lang.String prefix)` |
`java.lang.String` | `parseTags​(java.lang.String str)` |
`static java.lang.String` | `repeat​(java.lang.String s, int times)` |
`static java.lang.String` | `replaceTags​(java.lang.String str, java.util.Map<java.lang.String,​java.lang.String> tags)` |
`java.lang.String` | `titleize​(java.lang.String str)` |
`static mkremins.fanciful.FancyMessage` | `toFancy​(java.lang.String first)` |
`static java.lang.String` | `upperCaseFirst​(java.lang.String string)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### patternTag

    public static final transient java.util.regex.Pattern patternTag

#### tags

    public java.util.Map<java.lang.String,​java.lang.String> tags

### Constructor Detail

#### TextUtil

    public TextUtil()

### Method Detail

#### replaceTags

    public static java.lang.String replaceTags​(java.lang.String str,
                                               java.util.Map<java.lang.String,​java.lang.String> tags)

#### toFancy

    public static mkremins.fanciful.FancyMessage toFancy​(java.lang.String first)

#### parseColor

    public static java.lang.String parseColor​(java.lang.String string)

#### parseColorAmp

    public static java.lang.String parseColorAmp​(java.lang.String string)

#### parseColorAcc

    public static java.lang.String parseColorAcc​(java.lang.String string)

#### parseColorTags

    public static java.lang.String parseColorTags​(java.lang.String string)

#### upperCaseFirst

    public static java.lang.String upperCaseFirst​(java.lang.String string)

#### implode

    public static java.lang.String implode​(java.util.List<java.lang.String> list,
                                           java.lang.String glue)

#### repeat

    public static java.lang.String repeat​(java.lang.String s,
                                          int times)

#### getMaterialName

    public static java.lang.String getMaterialName​(org.bukkit.Material material)

#### getBestStartWithCI

    public static java.lang.String getBestStartWithCI​(java.util.Collection<java.lang.String> candidates,
                                                      java.lang.String start)

#### parse

    public java.lang.String parse​(java.lang.String str,
                                  java.lang.Object... args)

#### parse

    public java.lang.String parse​(java.lang.String str)

#### parseTags

    public java.lang.String parseTags​(java.lang.String str)

#### parseFancy

    public mkremins.fanciful.FancyMessage parseFancy​(java.lang.String prefix)

#### titleize

    public java.lang.String titleize​(java.lang.String str)

#### getPage

    public java.util.ArrayList<java.lang.String> getPage​(java.util.List<java.lang.String> lines,
                                                         int pageHumanBased,
                                                         java.lang.String title)